@charset "utf-8";

/**
 * Settings such as layout, font, and color
 * are basically stored in "theme.json" or "theme.css".
**/


/* ========================================================
//  MARK: Page 404
// ========================================================= */

#page404 {
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 100%;
}
#page404 .mainTtl {
  text-align: center;
}
#page404 .searchGroup {
  width: 100%;
  max-width: 555px;
}


/* ========================================================
//  MARK: Search result
// ========================================================= */




/* ========================================================
//  MARK: Page - Home (Top)
// ========================================================= */

/* #mainVisual
--------------------------------------------------------- */
#mainVisual .mainConts {
  height: 100%;
}
#mainVisual .mainConts .column {
  display: flex;
  height: 100%;
  min-height: 555px;
  position: relative;
}
#mainVisual .mainConts .column > .column-left {
  z-index: 2;
  width: 100%;
  padding: 50px 20px 20px;
}
#mainVisual .mainConts .column > .column-left .txtGroup {
  display: flex;
  flex-direction: column;
  height: 100%;
  font-family: var(--font-headings);
}
#mainVisual .mainConts .column > .column-left .txtGroup .heading {
  font-size: var(--wp--preset--font-size--xxx-large);
  color: var(--color--pink);
  line-height: 0.75;
  text-align: center;
  filter: drop-shadow(0.06em 0.06em 0px #00bebe);
}
#mainVisual .mainConts .column > .column-left .txtGroup .heading > .smaller {
  font-size: 50%;
  margin: 0 .125em;
}
#mainVisual .mainConts .column > .column-left .txtGroup .examples {
  --exp-item-minWidth: 7rem;
  --baseGap: 10px;
  display: flex;
  flex-direction: column;
  gap: var(--baseGap);
  width: 100%;
  margin-top: clamp(20px, 7vw, 72px);
  margin-bottom: clamp(30px, 4vw, 40px);
  max-width: calc((var(--exp-item-minWidth)) + (var(--baseGap) * 6));
}
#mainVisual .mainConts .column > .column-left .txtGroup .examples > * {
  display: inline-block;
  background-color: #fff0f7;
  border: 0.175em solid;
  border-radius: 999em;
  /* width: var(--exp-item-minWidth); */
  font-size: var(--wp--preset--font-size--x-medium);
  font-weight: 500;
  text-align: center;
  color: var(--color--pink);
  padding: 5px;
}
#mainVisual .mainConts .column > .column-left .txtGroup .examples > *:nth-child(1) {
  margin-left: calc(var(--baseGap) * 6);
}
#mainVisual .mainConts .column > .column-left .txtGroup .examples > *:nth-child(2) {
  margin-left: calc(var(--baseGap) * 3);
}
#mainVisual .mainConts .column > .column-left .txtGroup .parag {
  width: 100%;
  font-size: var(--wp--preset--font-size--x-large);
  font-weight: 500;
  text-align: center;
  color: var(--color--light-green);
  margin-top: auto;
}
#mainVisual .mainConts .column > .column-right {
  z-index: 1;
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  margin-left: auto;
  display: flex;
}
#mainVisual .mainConts .column > .column-right .girls {
  width: 100%;
  height: 100%;
  margin-left: auto;
  margin-top: auto;
  text-align: right;
  padding-top: 50px;
}
#mainVisual .mainConts .column > .column-right .girls > img {
  width: auto;
  height: 100%;
  object-fit: contain;
  object-position: bottom;
  filter: drop-shadow(2px 2px 2px #aaa);
}
@media (min-width: 576px) {
  #mainVisual .mainConts .column > .column-left .txtGroup .heading {
    text-align: left;
  }
}
@media (min-width: 768px) {
  #mainVisual .mainConts .column > .column-left .txtGroup {
    width: 70%;
    justify-content: center;
  }
  #mainVisual .mainConts .column > .column-left .txtGroup .examples {
    flex-direction: row;
    flex-wrap: wrap;
    max-width: none;
  }
  #mainVisual .mainConts .column > .column-left .txtGroup .examples > * {
    width: 12rem;
    margin-left: 0 !important;
  }
  #mainVisual .mainConts .column > .column-left .txtGroup .parag {
    margin-top: 0 !important;
  }
}
@media (min-width: 992px) {
  #mainVisual .mainConts .column {
    min-height: 39rem;
  }
}
@media (min-width: 1200px) {
  #mainVisual .mainConts .column {
    min-height: calc(100vh - var(--siteHeader-height));
  }
  #mainVisual .mainConts .column > .column-left {
    padding-left: 5vw;
  }
  #mainVisual .mainConts .column > .column-left .txtGroup .heading {
    font-size: 120px;
  }
  #mainVisual .mainConts .column > .column-left .txtGroup .examples {
    column-gap: calc(var(--baseGap) * 3);
    row-gap: calc(var(--baseGap) * 2);
  }
  #mainVisual .mainConts .column > .column-left .txtGroup .examples > * {
    width: 350px;
    min-height: 72px;
    font-size: 32px;
  }
  #mainVisual .mainConts .column > .column-left .txtGroup .parag {
    width: fit-content;
    font-size: 48px;
  }
}

/* #home-about
--------------------------------------------------------- */
/* Uku Onnanoko (Across sections) */
:root {
  --ukuOnago-width: clamp(60px, 15vw, 170px);
  /**
   * I think also need to set the height
   * to determine the position...
  **/
  --ukuOnago-height: calc(var(--ukuOnago-width) * 3.371831);
  --ukuOnago-rightPosition: 5vw;
}
.uku-onnanoko {
  display: block;
  width: var(--ukuOnago-width);
  height: var(--ukuOnago-height);
  /* Based on the "#home-about" section... */
  position: absolute;
  top: calc(100% - var(--ukuOnago-height) / 2);
  right: var(--ukuOnago-rightPosition);
  z-index: 2;
}
.uku-onnanoko,
.uku-onnanoko > * {
  pointer-events: none;
}
.uku-onnanoko img {
  filter: drop-shadow(4px 4px 4px #aaa);
}
.toaru-wrapper {
  /* Do not interfere with other elements */
  padding-left: calc(var(--ukuOnago-width) + var(--ukuOnago-rightPosition));
  padding-right: calc(var(--ukuOnago-width) + var(--ukuOnago-rightPosition));
}
/* Main content */
#home-about {
  position: relative;
}
#home-about::after {
  content: '';
  display: block;
  width: 100%;
  height: 20px;
  background: url('../images/deco_wave_part.png') repeat-x bottom left / contain;
  position: absolute;
  top: calc(100% - 1px);
  left: 0;
  z-index: 1;
}
#home-about .column {
  --outer-radius: 30px;
  --outer-padding: 15px;
  border-radius: var(--outer-radius);
  padding: var(--outer-padding);
}
#home-about .column > .column-inner {
  overflow-x: hidden;
}
#home-about .column .column-main {
  display: flex;
  flex-direction: column;
  align-items: center;
  row-gap: 1rem;
}
#home-about .column .column-main .column-heading {
  font-size: var(--wp--preset--font-size--large);
  font-weight: 700;
  color: var(--color--pink);
  text-align: center;
  padding: 0 15px;
}
#home-about .column .column-main .listWrap {
  width: 100%;
  position: relative;
}
#home-about .column .column-main .listWrap::before {
  content: '';
  display: block;
  width: 250%;
  height: 100%;
  background-color: #fff3f9;
  position: absolute;
  top: 0;
  right: 0;
}
#home-about .column .column-main .list {
  width: fit-content;
  position: relative;
}
#home-about .column .column-main .list > li {
  display: grid;
  grid-template-columns: max-content 1fr;
  gap: .5rem;
  align-items: start;
  width: 100%;
}
#home-about .column .column-main .list > li::before {
  content: '';
  display: block;
  width: 1.25em;
  height: 1.25em;
  background: url('../images/icon-checkbox.svg') no-repeat left center / contain;
  margin-top: .15em;
}
#home-about .column .column-main .list > li:not(:last-child) {
  margin-bottom: .5em;
}
#home-about .column .column-main .otherParag {
  font-family: var(--font-headings);
  font-size: var(--wp--preset--font-size--xx-large);
  color: var(--wp--preset--color--light-blue);
  text-align: center;
  padding: 0 15px;
}
@media (min-width: 992px) {
  #home-about .column > .column-inner {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
  }
  #home-about .column .column-main {
    width: 52%;
  }
  #home-about .column .column-sub {
    width: 48%;
    position: relative;
  }
}

/* #home-works
--------------------------------------------------------- */
#home-works .mainConts {
  padding-top: var(--basicPadding-vertical);
}
#home-works .title-sectionMain-2::after {
  background-color: var(--color--orange);
}
#home-works .title-sectionMain-2 .heading-main {
  background-color: var(--color--orange);
  color: var(--color--base, #fff);
}
/*** List style ***/
#home-works .listWrap {
  position: relative;
  overflow-x: hidden;
}
#home-works .listWrap::after {
  content: '';
  display: block;
  width: calc(100% + 200px);
  height: 100%;
  background-color: #1ac0c4e0;
  clip-path: ellipse(85% 58% at 50% 100%);
  position: absolute;
  bottom: 0;
  left: -100px;
}
#home-works .listWrap .wrap-inner {
  display: grid;
  gap: 2em 3vw;
  position: relative;
  z-index: 1;
}
#home-works .works {
  display: grid;
  grid-template-rows: subgrid;
  grid-row: span 3;
  gap: 0;
  width: 100%;
}
#home-works .works .heading {
  order: 2;
  font-size: var(--wp--preset--font-size--xxx-medium);
  font-weight: 600;
  text-align: center;
  line-height: 1.3;
  margin-bottom: .5em;
}
#home-works .works .body {
  order: 3;
  font-size: .875rem;
  font-weight: 600;
  text-align: center;
}
#home-works .works .images {
  order: 1;
  max-width: 400px;
  margin: 0 auto;
}
@media (min-width: 768px) {
  #home-works .listWrap::after {
    clip-path: ellipse(50% 78% at 50% 100%);
  }
  #home-works .listWrap .wrap-inner {
    grid-template-columns: repeat(3, 1fr);
  }
}
@media (min-width: 992px) {
  #home-works .works .heading,
  #home-works .works .body {
  color: var(--color--base, #fff);
  }
}

/* #home-supports
--------------------------------------------------------- */
#home-supports .title-sectionMain-2::after {
  background-color: var(--color--light-green);
}
#home-supports .title-sectionMain-2 .heading-main {
  background-color: var(--color--light-green);
  color: var(--color--base, #fff);
  margin-bottom: 2em;
}
/*** List style ***/
#home-supports .listWrap .wrap-inner {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(min(240px, 100%), 1fr));
  gap: 2em 3vw;
}
#home-supports .supports {
  display: grid;
  grid-template-rows: subgrid;
  grid-row: span 3;
  gap: 0;
  width: 100%;
}
#home-supports .supports .heading {
  order: 2;
  font-size: var(--wp--preset--font-size--xxx-medium);
  font-weight: 600;
  color: var(--color--blue);
  text-align: center;
  line-height: 1.3;
  margin-bottom: .5em;
}
#home-supports .supports .body {
  order: 3;
  font-size: .875rem;
  font-weight: 600;
  text-align: center;
}
#home-supports .supports .images {
  order: 1;
  padding: 2em;
}
#home-supports .supports .images > .imgWrap {
  border: 4px solid var(--color--pink);
  border-radius: 20px;
  background-color: #fff0f7;
  display: grid;
  place-items: center;
  padding: 16%;
}
@media (max-width: 767.98px) {
  #home-supports .listWrap .wrap-inner {
    grid-template-columns: repeat(auto-fit, minmax(min(135px, 100%), 1fr));
  }
  #home-supports .supports .heading {
    font-size: calc(var(--wp--preset--font-size--x-medium) * 1.125);
  }
  #home-supports .supports .images {
    padding: 1em;
  }
}

/* #home-guide
--------------------------------------------------------- */
#home-guide {
  background-color: #76ECB1;
  background-image: radial-gradient(circle, #ffffff 15%, transparent 16%);
  background-size: 30px 30px;
}
#home-guide .mainConts {
  --outer-radius: 30px;
  --outer-padding: 15px;
  border-radius: var(--outer-radius);
  padding: var(--outer-padding);
  width: 100%;
  max-width: 992px;
  margin: 0 auto;
}
#home-guide .title-sectionMain-2::after {
  background-color: var(--color--pink);
}
#home-guide .title-sectionMain-2 .heading-main {
  background-color: var(--color--pink);
  color: var(--color--base, #fff);
  margin-bottom: 2em;
}
/*** List style ***/
:root {

  --flowItem-gap: 2em;
  --flowItemHeading-size: 4rem;
  --flowItems-decoHeight: 1em;
  --flowItems-decoWidth: calc(var(--flowItems-decoHeight) * 1.5);

  @media (min-width:768px) {
    --flowItemHeading-size: 5rem;
  }

}
.flow .flow-item {
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
}
.flow .flow-item:not(:last-of-type) {
  margin-bottom: var(--flowItem-gap);
  position: relative;
}
.flow .flow-item:not(:last-of-type)::after {
  content: '';
  width: var(--flowItems-decoWidth);
  height: var(--flowItems-decoHeight);
  background-color: #d0d0d0;
  clip-path: polygon(50% 100%, 0 0, 100% 0);
  margin-top: calc((var(--flowItem-gap) - var(--flowItems-decoHeight)) / 2);
  position: absolute;
  top: 100%;
  left: calc(50% + var(--flowItemHeading-size) / 4);
  translate: -50% 0;
}
.flow .flow-item .heading {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
  width: var(--flowItemHeading-size);
  height: var(--flowItemHeading-size);
  border-radius: 50%;
  font-size: var(--wp--preset--font-size--xx-medium);
  color: var(--color--base, #fff);
  position: relative;
  z-index: 1;
}
.flow .flow-item:nth-of-type(odd) .heading {
  background-color: #FFBC2E;
}
.flow .flow-item:nth-of-type(even) .heading {
  background-color: var(--color--light-blue);
}
.flow .flow-item .heading .main {
  line-height: 1;
  font-size: 120%;
  font-weight: 900;
}
.flow .flow-item .heading .sub {
  line-height: 1;
  font-size: 55%;
  font-weight: 600;
}
.flow .flow-item .body {
  width: calc(100% + var(--flowItemHeading-size));
  background-color: var(--color--base, #fff);
  border-radius: 30px;
  padding: 1.5em 1em 1.5em calc(var(--flowItemHeading-size) / 2 + 1em);
  margin-left: calc(var(--flowItemHeading-size) / 2 * -1);
}
.flow .flow-item .body .title {
  font-size: var(--wp--preset--font-size--x-medium);
  font-weight: 600;
  text-decoration: underline;
  text-decoration-style: wavy;
  text-decoration-thickness: 2px;
  text-underline-offset: .25em;
  margin-bottom: .5em;
}
.flow .flow-item:nth-of-type(odd) .body .title {
  text-decoration-color: #FFBC2E;
}
.flow .flow-item:nth-of-type(even) .body .title {
  text-decoration-color: var(--color--light-blue);
}
.flow .flow-item .body .parag {
  font-size: var(--wp--preset--font-size--small, 0.875rem);
}

/* #home-cta
--------------------------------------------------------- */
#home-cta .title-sectionMain-2::after {
  background-color: var(--color--light-blue);
}
#home-cta .title-sectionMain-2 .heading-main {
  background-color: var(--color--light-blue);
  color: var(--color--base, #fff);
  margin-bottom: 2em;
}
#home-cta .usual-cta {
  margin-top: 0 !important;
  margin-bottom: 0 !important;
}
#home-cta .ctaMain .otherNotes {
  width: fit-content;
  font-size: var(--wp--preset--font-size--medium);
  font-weight: 600;
  text-align: center;
  padding: 1em 2em;
  margin: 0 auto;
}
#home-cta #cta-form {
  max-width: var(--wp--style--global--content-size);
  margin-left: auto;
  margin-right: auto;
}
.disabled-js .snow-monkey-form {
  height: 500px;
}